summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2022-01-26 00:25:44 +0100
committer Willy Sudiarto Raharjo2022-01-30 02:35:59 +0100
commit4260752f574937b5266d8d1170443edaabe178ba (patch)
treed9aaa0688df1beb3fba319809a0b6cd76d95758a /games
parent7c6598de8c6017f881dc8990405d690336981d79 (diff)
downloadslackbuilds-4260752f574937b5266d8d1170443edaabe178ba.tar.gz
games/clksignal-roms: Added (ROM images for clksignal).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/clksignal-roms/README7
-rw-r--r--games/clksignal-roms/STATUS.txt21
-rw-r--r--games/clksignal-roms/clksignal-roms.SlackBuild217
-rw-r--r--games/clksignal-roms/clksignal-roms.info66
-rw-r--r--games/clksignal-roms/slack-desc19
5 files changed, 330 insertions, 0 deletions
diff --git a/games/clksignal-roms/README b/games/clksignal-roms/README
new file mode 100644
index 0000000000..3a915cb583
--- /dev/null
+++ b/games/clksignal-roms/README
@@ -0,0 +1,7 @@
+clksignal-roms (ROM images for use with clksignal)
+
+This is a mostly-complete collection of ROM images for use with
+the clksignal (aka CLK) emulator. Beware that the legal status of
+these ROMs is murky, although most of them have been continuously
+available on various web sites for 20 years or more, with no legal
+repercussions.
diff --git a/games/clksignal-roms/STATUS.txt b/games/clksignal-roms/STATUS.txt
new file mode 100644
index 0000000000..8b239cf852
--- /dev/null
+++ b/games/clksignal-roms/STATUS.txt
@@ -0,0 +1,21 @@
+
+This package of ROMs supports all the machines clksignal emulates, but
+not every variation of every machine is supported.
+
+Amiga: Complete (clksignal only supports one Kickstart version so far).
+AmstradCPC: Complete.
+AppleII and DiskII: Complete.
+AppleIIgs: ROM03 only (no ROM01 or ROM00). Current version of clksignal
+ segfaults when trying to start this machine anyway.
+AtariST: Complete (clksignal only supports UK TOS 1.0 so far).
+ColecoVision: Complete.
+Electron: BASIC and OS ROMs only; none of the disk controllers.
+Enterprise: EXOS ROM v2.0 only (no 1.0/2.1/2.3, no BASIC).
+MSX: MSX-DOS and 'generic' BIOS only (no EU/JP/US specific variants).
+Macintosh: Complete.
+MasterSystem: Complete.
+Oric: Oric BASIC 1.0 and 1.1 only (no Pravetz), Jasmin and Microdisc
+ controllers only (no BD500 or 8DOS).
+Vic20 and Commodore1540: PAL kernal only, English chargen only
+ (no NTSC, no Danish, Swedish, Japanese).
+ZX8081: Complete.
diff --git a/games/clksignal-roms/clksignal-roms.SlackBuild b/games/clksignal-roms/clksignal-roms.SlackBuild
new file mode 100644
index 0000000000..1f45d5c7c3
--- /dev/null
+++ b/games/clksignal-roms/clksignal-roms.SlackBuild
@@ -0,0 +1,217 @@
+#!/bin/bash
+
+# Slackware build script for clksignal-roms
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# I don't host any of the DOWNLOAD files (except the oric color
+# palette). ROM sites tend to come and go, so at some point the
+# download links will likely break. Let me know if this happens.
+
+# To clean up the directory:
+# rm -f *.rom *.ROM *.zip basic chargen kernal dos154*
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=clksignal-roms
+VERSION=${VERSION:-20220121}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+install_rom() {
+ install -m0644 -oroot -groot "$1" "$2"
+}
+
+ROMBASE=$PKG/usr/share/CLK
+set_dest() {
+ DEST="$ROMBASE/$1"
+ mkdir -p "$DEST"
+}
+
+###### Apple II series ROMs, including the Disk II and IIgs.
+set_dest AppleII
+
+# wheels within wheels, plans within plans, zipfiles within zipfiles...
+unzip $CWD/apple2_roms.zip apple.rom apple2o.rom 13-sector-disk-ii-roms.zip \
+ apple_iie_rom.zip apple_2e_unenhanced_rom.zip ROMS.ZIP
+unzip apple_iie_rom.zip APPLE2E.ROM
+unzip apple_2e_unenhanced_rom.zip
+unzip ROMS.ZIP 3410036.BIN 3420028A.BIN 3410027A.BIN
+
+install_rom apple.rom $DEST/apple2.rom
+install_rom apple2o.rom $DEST/apple2o.rom
+install_rom APPLE2E.ROM $DEST/apple2e.rom
+install_rom apple2eu.rom $DEST/apple2eu.rom
+install_rom 3410036.BIN $DEST/apple2-character.rom
+
+unzip $CWD/apple2ee.zip
+install_rom 3420265a.chr $DEST/apple2e-character.rom
+
+# CRC doesn't match, but the machine starts and seems to work
+# correctly.
+unzip $CWD/apple2e.zip 3420133a.chr
+install_rom 3420133a.chr $DEST/apple2eu-character.rom
+
+set_dest DiskII
+install_rom 3410027A.BIN $DEST/boot-16.rom
+install_rom 3420028A.BIN $DEST/state-machine-16.rom
+
+unzip 13-sector-disk-ii-roms.zip '*.bin'
+install_rom 13-sector-disk-ii-boot-rom.bin $DEST/boot-13.rom
+install_rom 13-sector-disk-ii-state-machine-rom.bin $DEST/state-machine-13.rom
+
+set_dest AppleIIgs
+Z="$CWD/MESS 0.151 ROMs%2Fapple2gs.zip"
+[ -e "$Z" ] || Z="$CWD/MESS%200.151%20ROMs%2Fapple2gs.zip"
+[ -e "$Z" ] || Z="$CWD/apple2gs.zip"
+unzip "$Z"
+
+# Only include the ROM03 firmware.
+# According to the CRC, this is an 'alternate' (or anyway, it's the 2nd
+# of two known CRCs).
+# Doesn't really matter: clksignal segfaults on trying to start up
+# with --new=appleiigs.
+cat 341-0737 341-0748 > rom03
+install_rom rom03 $DEST/apple2gs.rom
+install_rom 341s0632-2.bin $DEST/341s0632-2
+
+###### Commodore VIC-20 and 1540/1541 ROMs
+# only English and PAL for now.
+set_dest Vic20
+install_rom $CWD/basic $DEST/basic.bin
+install_rom $CWD/kernal $DEST/kernel-pal.bin
+install_rom $CWD/chargen $DEST/characters-english.bin
+
+# the 1541 isn't yet emulated by clksignal...
+set_dest Commodore1540
+install_rom $CWD/dos1540 $DEST/1540.bin
+install_rom $CWD/dos1541 $DEST/1541.bin
+
+###### Atari ST
+set_dest AtariST
+unzip $CWD/tos100uk.zip
+install_rom tos100uk.img $DEST/tos100.img
+
+###### Colecovision
+set_dest ColecoVision
+unzip $CWD/coleco.zip
+install_rom coleco.rom $DEST/coleco.rom
+
+##### Amiga
+# handle filename with spaces (wget) or hex escapes (curl -O, some browsers).
+set_dest Amiga
+Z="$CWD/Kickstart v1.3 rev 34.5 (1987)(Commodore)(A500-A1000-A2000-CDTV).rom"
+if [ ! -e "$Z" ]; then
+ Z="$CWD/Kickstart%20v1.3%20rev%2034.5%20%281987%29%28Commodore%29%28A500-A1000-A2000-CDTV%29.rom"
+fi
+install_rom "$Z" $DEST/Kickstart-v1.3-rev34.5-1987-Commodore-A500-A1000-A2000-CDTV.rom
+
+##### Amstrad CPC
+set_dest AmstradCPC
+
+# firmware and BASIC are combined, split 'em apart with dd.
+unzip $CWD/cpc464.zip
+dd if=cpc464.rom of=$DEST/os464.rom bs=16k count=1
+dd if=cpc464.rom of=$DEST/basic464.rom bs=16k count=1 skip=1
+install_rom cpcados.rom $DEST/amsdos.rom
+
+unzip $CWD/cpc664.zip
+dd if=cpc664.rom of=$DEST/os664.rom bs=16k count=1
+dd if=cpc664.rom of=$DEST/basic664.rom bs=16k count=1 skip=1
+
+unzip $CWD/cpc6128.zip
+dd if=cpc6128.rom of=$DEST/os6128.rom bs=16k count=1
+dd if=cpc6128.rom of=$DEST/basic6128.rom bs=16k count=1 skip=1
+
+##### Electron
+set_dest Electron
+unzip $CWD/electron.zip
+install_rom basic.rom $DEST/basic.rom
+install_rom os.rom $DEST/os.rom
+
+##### Macintosh
+set_dest Macintosh
+unzip $CWD/mac128k.zip
+unzip $CWD/mac512k.zip
+unzip $CWD/macplus.zip
+install_rom mac128k.rom $DEST/mac128k.rom
+install_rom mac512k.rom $DEST/mac512k.rom
+install_rom macplus.rom $DEST/macplus.rom
+
+##### Sega Master System
+set_dest MasterSystem
+unzip $CWD/sms1pal.zip bios13fx.rom
+unzip $CWD/smsj.zip jbios21.rom
+install_rom bios13fx.rom $DEST/bios.sms
+install_rom jbios21.rom $DEST/japanese-bios.sms
+
+##### Enterprise
+set_dest Enterprise
+Z="$CWD/MESS 0.151 ROMs%2Fep64.zip"
+[ ! -e "$Z" ] && Z="$CWD/MESS%200.151%20ROMs%2Fep64.zip"
+[ ! -e "$Z" ] && Z="$CWD/ep64.zip"
+unzip "$Z"
+install_rom 9256ds-0038_enter05-23-a.u2 $DEST/exos20.bin
+
+##### MSX. "any MSX BIOS", whatever that means.
+set_dest MSX
+install_rom $CWD/MSX.ROM $DEST/msx.rom
+install_rom $CWD/DISK.ROM $DEST/disk.rom
+
+##### Oric
+# only have 2 of the 4 disk interfaces and 2 of the 3 BASIC ROMs.
+# oric-pal-prom.zip originally came from
+# https://forum.defence-force.org/viewtopic.php?f=8&t=2248&hilit=colour+rom&start=15
+# ...and isn't copyrighted AFAIK.
+set_dest Oric
+unzip $CWD/oric1.zip
+unzip $CWD/orica.zip
+unzip $CWD/oric-pal-prom.zip
+install_rom basic10.rom $DEST/basic10.rom
+install_rom basic11b.rom $DEST/basic11.rom
+install_rom jasmin.rom $DEST/jasmin.rom
+install_rom microdis.rom $DEST/microdisc.rom
+install_rom tbp24s10n.bin $DEST/colour.rom
+
+##### ZX80/81
+set_dest ZX8081
+unzip $CWD/zx80.zip zx80.rom
+unzip $CWD/zx81.zip zx81a.rom
+install_rom zx80.rom $DEST/zx80.rom
+install_rom zx81a.rom $DEST/zx81.rom
+
+# No docs, include our own.
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cat $CWD/README > $PKGDOC/README.txt
+cat $CWD/STATUS.txt > $PKGDOC/STATUS.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/clksignal-roms/clksignal-roms.info b/games/clksignal-roms/clksignal-roms.info
new file mode 100644
index 0000000000..212c0e9d80
--- /dev/null
+++ b/games/clksignal-roms/clksignal-roms.info
@@ -0,0 +1,66 @@
+PRGNAM="clksignal-roms"
+VERSION="20220121"
+HOMEPAGE="https://slackware.uk/~urchlay/src/clksignal-roms.txt"
+DOWNLOAD="http://amigas.ru/amiftp/AmiFTP/Amiga%20Kickstart%20Roms%20-%20Complete%20-%20TOSEC%20v0.04/KS-ROMs/Kickstart%20v1.3%20rev%2034.5%20%281987%29%28Commodore%29%28A500-A1000-A2000-CDTV%29.rom \
+ http://cominf0.narod.ru/mess123/apple2e.zip \
+ http://cominf0.narod.ru/mess123/apple2ee.zip \
+ http://cominf0.narod.ru/mess123/coleco.zip \
+ http://cominf0.narod.ru/mess123/cpc464.zip \
+ http://cominf0.narod.ru/mess123/cpc6128.zip \
+ http://cominf0.narod.ru/mess123/cpc664.zip \
+ http://cominf0.narod.ru/mess123/electron.zip \
+ http://fms.komkon.org/fMSX/src/MSX.ROM \
+ http://fms.komkon.org/fMSX/src/DISK.ROM \
+ http://cominf0.narod.ru/mess123/oric1.zip \
+ http://cominf0.narod.ru/mess123/orica.zip \
+ http://cominf0.narod.ru/mess123/sms1pal.zip \
+ http://cominf0.narod.ru/mess123/smsj.zip \
+ http://cominf0.narod.ru/mess123/zx80.zip \
+ http://cominf0.narod.ru/mess123/zx81.zip \
+ http://www.avtandil.narod.ru/tos/tos100uk.zip \
+ https://archive.org/download/MESS-0.151.BIOS.ROMs/MESS-0.151.BIOS.ROMs.zip/MESS%200.151%20ROMs%2Fapple2gs.zip \
+ https://archive.org/download/MESS-0.151.BIOS.ROMs/MESS-0.151.BIOS.ROMs.zip/MESS%200.151%20ROMs%2Fep64.zip \
+ https://github.com/libretro/vice-libretro/raw/master/vice/data/DRIVES/dos1540\
+ https://github.com/libretro/vice-libretro/raw/master/vice/data/DRIVES/dos1541\
+ https://github.com/libretro/vice-libretro/raw/master/vice/data/VIC20/basic \
+ https://github.com/libretro/vice-libretro/raw/master/vice/data/VIC20/chargen \
+ https://github.com/libretro/vice-libretro/raw/master/vice/data/VIC20/kernal \
+ http://cominf0.narod.ru/mess123/macplus.zip \
+ http://cominf0.narod.ru/mess123/mac512k.zip \
+ http://cominf0.narod.ru/mess123/mac128k.zip \
+ https://mirrors.apple2.org.za/ftp.apple.asimov.net/emulators/rom_images/apple2_roms.zip \
+ https://slackware.uk/~urchlay/src/oric-pal-prom.zip"
+MD5SUM="82a21c1890cae844b3df741f2762d48d \
+ b5b1d94711ecacf742a057fc871bde89 \
+ dd4e64fb74689fc3f91711aecbe20167 \
+ 5ce6d382870005ea9ca230a5b4b52eb4 \
+ e03ee6a857a08fc209d6cfc589861955 \
+ b03cb5b7736d07ac63ecbeee5d8a43c6 \
+ 5d1652c5deb6c3a3505600cb9396ee7d \
+ cd6d25e7af44c8182245ed84f15c6d3b \
+ aa95aea2563cd5ec0a0919b44cc17d47 \
+ 80dcd1ad1a4cf65d64b7ba10504e8190 \
+ d0e1dc32c4f7dd514f7027e91aa4545d \
+ e96c6fad16b1b6e30e196ad26bab37a1 \
+ dc5c4329258fde01cd07dac8826c4871 \
+ 6c3c727dd4e1370afc176f4e9cbb06d1 \
+ 6dab8fa974f64c0f2c8baf8b593d05b6 \
+ 8fe2a0db78a956a0cb678127d033cd8c \
+ 538dfaca799dfc9175e3e70fe3935cf2 \
+ 097150a004adef92fefff599a0c9521e \
+ b870cd578577840ea372acad2336eb8e \
+ 87e849da3c87549848550fe4dd4d1aae \
+ a0ce8439d1b8dcf2e1430461f7233a72 \
+ 8b9237706f47a9b3498d8f881ef0244d \
+ d390e340e94e1bef0f2fdfe9fa850993 \
+ f0587624dcd7685710a8fdb35939617f \
+ b814d9c6d4fd996ce9dab919d53270b8 \
+ 445dd1c6c4fde3a8cf9336ad278fa2df \
+ 901dc1d895a465f6b655e75867dbc9d0 \
+ 02abc1692284270c84fafe34f9e459f2 \
+ b30187aaa21cc533757037d2cc93a5b6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/clksignal-roms/slack-desc b/games/clksignal-roms/slack-desc
new file mode 100644
index 0000000000..239e68e11b
--- /dev/null
+++ b/games/clksignal-roms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+clksignal-roms: clksignal-roms (ROM images for use with clksignal)
+clksignal-roms:
+clksignal-roms: This is a mostly-complete collection of ROM images for use with
+clksignal-roms: the clksignal (aka CLK) emulator. Beware that the legal status of
+clksignal-roms: these ROMs is murky, although most of them have been continuously
+clksignal-roms: available on various web sites for 20 years or more, with no legal
+clksignal-roms: repercussions.
+clksignal-roms:
+clksignal-roms:
+clksignal-roms:
+clksignal-roms: